<table border="0" width="100%" cellspacing="0" cellpadding="0">

  <tr>

    <td width="100%" bgcolor="#F0F0F0"><p><b>&gt;&gt; Авторизированный пользователь <? echo $cl ?> &gt;&gt; Товары &gt;&gt; Список моих товаров <? If ($com2 == "chinfo") { echo "&gt;&gt; Изменение свойств товара"; } ElseIf ($com2 == "link") { echo "&gt;&gt; Ссылки товара";} ElseIf ($com2 == "recommend" or $com2 == "stat") { echo "&gt;&gt; Добавление в 'рекомендуемые'";} ElseIf ($com2 == "view") { echo "&gt;&gt; Просмотр закаченного товара";} ?></b></p></td>

  </tr>

</table>

<p>&nbsp;</p>

<?

If ($com2 == "chinfo") {

 If (trim($ft[11]) == "0") {

  echo "<script> alert('Вы блокированный пользователь! Вы не можете изменять свойства товара.'); history.back(); </script>";

  exit;

 }

 $frzd = file("tx/razdel.txt");



 price_min($tovid);

 $fch = file("goods/$tovid");



 If (trim($fch[0]) <> $cl) {

  echo "<script> alert('У Вас нет прав на этот товар!'); history.back(); </script>";

  exit;

 }



 If ($send == "ok") {



  $fg = fopen("goods/$tovid", "w");



  $summ = floor($summ*100)/100;

  $sagent = floor($sagent);

  If ($sagent > 100) { $sagent = 100; }

  If ($sagent < 0) { $sagent = 0; }

  $tovinfo = str_replace("\n","<br>",htmlspecialchars(stripslashes($tovinfo)));

  $tovaddinfo = str_replace("\n","<br>",htmlspecialchars(stripslashes($tovaddinfo)));

  $name = htmlspecialchars(stripslashes($name));

  $url = htmlspecialchars(stripslashes($url));

  $s1 = ceil($s1*100)/100;

  $s2 = ceil($s2*100)/100;



  $fg = fopen("goods/$tovid", "w");

  fwrite($fg, trim($fch[0]) . "\n");

  fwrite($fg, "$summ\n");

  fwrite($fg, "$id_r\n");

  fwrite($fg, "$name\n");

  fwrite($fg, trim($fch[4]) . "\n");

  fwrite($fg, "$url\n");

  fwrite($fg, "$sagent\n");

  fwrite($fg, "$tovinfo\n");

  fwrite($fg, "$tovaddinfo\n");

  fwrite($fg, trim($fch[9]) . "\n");

  fwrite($fg, trim($fch[10]) . "\n");

  fwrite($fg, "$c1\n");

  fwrite($fg, "$s1\n");

  fwrite($fg, "$s2\n");



  for ($rf = 14; $rf < count($fch); $rf++) {

   fwrite($fg, trim($fch[$rf]) . "\n");

  }

  fclose($fg);



  echo "<script> alert('Свойства товара изменены!'); document.location.href='/my.php$idstr&com=goods'; </script>";

  exit;

 }



 for ($i = 0; $i < count($frzd); $i++) {

  $ar = explode("^", trim($frzd[$i]));

  If (trim($fch[2]) == $ar[0]) {

   $f = 1;

   while ($ar[$f] <> "") {

    $frazdel .= $ar[$f];

    If ($ar[$f+1] <> "") {

     $frazdel .= " > ";

    }

    $f++;

   }

  }

 }

?>

<table border="0" width="98%" cellspacing="0" cellpadding="4" bgcolor="#C0C0C0" align="center">

  <tr>

    <td width="2%" valign="middle" bgcolor="#F0F0F0" height="1" style="border-left: 1 solid #C0C0C0; border-top: 1 solid #C0C0C0; border-bottom: 1 solid #C0C0C0"><p align="center"><img border="0" src="img/pic_info.gif" width="16" height="16"></p></td>

    <td width="98%" bgcolor="#F0F0F0" height="1" style="border-right: 1 solid #C0C0C0; border-top: 1 solid #C0C0C0; border-bottom: 1 solid #C0C0C0"><p>При неправильном заполнении суммы (не округленной до сотых) значения будут округленны автоматически до сотых вниз. Т.е. если Вы заполнили в поле сумма &quot;0.031&quot;, значение суммы автоматически округлиться до &quot;0.3&quot;!</p><p>При заполнении пользуйтесь инструкциями, для этого подведите курсор мыши к значку <img border="0" src="img/pic_info_min.gif" style="border-style: solid; border-width: 1" width="12" height="12"></p></td>

  </tr>

</table>

<p>&nbsp;</p>



<STYLE>.hi{ left: 0px; visibility: hidden; width: 325px; position: absolute; top: 0px; background-color: #FFFFFF; border: 1px solid #000000 }</STYLE>



<SCRIPT language=javascript>

function show_help(hi){

	document.all(hi).style.top = window.event.clientY + document.body.scrollTop + 5;

	document.all(hi).style.left = window.event.clientX + document.body.scrollLeft + 5;

	document.all(hi).style.visibility="visible";

}

function hide_help(hi){

	document.all(hi).style.visibility="hidden";

}



function  chksumm(summa){

	var LenValue = summa.toString().length;

	if(LenValue == 0) return false;

	var LastSimvol;

	for(i=0; i<LenValue; i++){

		LastSimvol = summa.toString().substring(i, i+1);

		if(LastSimvol != '1' && LastSimvol != '2' && LastSimvol != '3' && LastSimvol != '4' && LastSimvol != '5'

		&& LastSimvol != '6' && LastSimvol != '7' && LastSimvol != '8' && LastSimvol != '9' && LastSimvol != '0'

		&& LastSimvol != '.'){

			return false;

		}

		if((LastSimvol == '.' ) && i==0){

			return false;

		}

	}

	return true;

}

function frmpost(){

	if(document.all){

		if(frmgoods.razdel.value.length == 0){

			alert('Пожалуйста, выберите раздел');

			return;

		}

		if(frmgoods.name.value.length == 0){

			alert('Пожалуйста заполните поле "Название товара"');

			return;

		}

		if(frmgoods.summ.value < 0.02){

			alert('Пожалуйста корректно заполните поле "Цена"! Цена должна превышать (или быть равной) 0.02wmz');

			return;

		}

		if(!chksumm(frmgoods.summ.value)){

			alert('Правильно укажите цену!');

			return;

		}

		if(frmgoods.tovinfo.value.length == 0){

			alert('Пожалуйста заполните поле "Описание товара"');

			return;

		}

		if(frmgoods.c1.value == "on") {

			if (frmgoods.s1.value < 0.01) {

				alert('Пожалуйста корректно заполните поле "Понижение цен", понижение каждый день! Сумма должна быть не меньше 0.01. Или выключите понижение цен.');

				return;

			}

			if(!chksumm(frmgoods.s1.value)){

				alert('Правильно укажите сумму "понижение каждый день", поля "Понижение цен"!');

				return;

			}

			if (frmgoods.s2.value < 0.01) {

				alert('Пожалуйста корректно заполните поле "Понижение цен", пока не станет равной! Сумма должна быть не меньше 0.01. Или выключите понижение цен.');

				return;

			}

			if(!chksumm(frmgoods.s2.value)){

				alert('Правильно укажите сумму "пока не станет равной", поля "Понижение цен"!');

				return;

			}

		}

		if(!chksumm(frmgoods.sagent.value)){

			alert('Правильно укажите комиссию агенту!');

			return;

		}

		if(frmgoods.sagent.value > 100){

			alert('Правильно укажите комиссию агенту!');

			return;

		}







		if(confirm('Вы уверены, что все правильно указали?')){

			frmgoods.submit();

		}



	}

}

</SCRIPT>

<p>&nbsp;</p>

<table border="1" width="98%" cellpadding="0" align="center" style="border-collapse: collapse" bordercolor="#9ace8b" cellspacing="1">

  <tr>

    <td width="100%" valign="top">

      <table border="0" width="100%" cellspacing="0" cellpadding="0">

        <tr>

           <td width="100%" bgcolor="#9ACE8B"><p><b>Изменение свойств товара № <? echo $tovid ?></b></p></td>

        </tr>

        <tr>

           <td width="100%" bgcolor="#F1FFED">

           <img border="0" src="pixel.gif" width="1" height="1"></td>

        </tr>

        <tr>

           <td width="100%" valign="top">



    <form name="frmgoods" method="post">

    <input type="hidden" name="id_r" value="<? echo trim($fch[2]) ?>">

    <input type="hidden" name="tovid" value="<? echo $tovid ?>">

    <input type="hidden" name="send" value="ok">

          <table border="0" width="100%" cellspacing="0" cellpadding="0" bordercolorlight="#FFFFFF" bordercolordark="#FFFFFF" style="border-collapse: collapse" bordercolor="#111111" bgcolor="#F1FFED">

            <tr>

              <td width="30%" bgcolor="#9ACE8B" height="1" bordercolorlight="#000000" bordercolordark="#FFFFFF" valign="top"><p><img border="0" src="img/pic_info_min.gif" width="12" height="12" onMouseOut="hide_help('hi3')" onMouseOver="show_help('hi3')">

                * Раздел:</p></td>

              <td width="70%" height="1"><p>

              <input type="text" name="razdel" value="<? echo $frazdel ?>" size="70" disabled style="font-family: Verdana, Arial; font-size: 8pt; border: 1px solid #9ACE8B; "> <input type="button" value="Выбрать" onClick="window.open('/razdel.php',this.target,'width=350,height=250,location=no,toolbar=no,menubar=no,status=no,directories=no,status=no,scrollbars=1');return false;" name="B2" style="font-family: Verdana, Arial; font-size: 8pt"></p></td>

            </tr>

            <tr>

              <td width="30%" bgcolor="#9ACE8B" height="1" bordercolorlight="#000000" bordercolordark="#FFFFFF" valign="top"><p><img border="0" src="img/pic_info_min.gif" width="12" height="12" onMouseOut="hide_help('hi4')" onMouseOver="show_help('hi4')">

                * Название товара:</p></td>

              <td width="70%" height="1"><p>

              <input type="text" maxlength="100" name="name" value="<? echo trim($fch[3]) ?>" size="70" style="font-family: Verdana, Arial; font-size: 8pt; border: 1px solid #9ACE8B; "></p></td>

            </tr>

            <tr>

              <td width="30%" bgcolor="#9ACE8B" height="1" bordercolorlight="#000000" bordercolordark="#FFFFFF" valign="top"><p><img border="0" src="img/pic_info_min.gif" width="12" height="12" onMouseOut="hide_help('hi5')" onMouseOver="show_help('hi5')">

                URL

                товара</p></td>

              <td width="70%" height="1"><p>

              <input type="text" name="url" size="70" value="<? echo trim($fch[5]) ?>" style="font-family: Verdana, Arial; font-size: 8pt; border: 1px solid #9ACE8B; "></p></td>

            </tr>

            <tr>

              <td width="30%" bgcolor="#9ACE8B" height="1" bordercolorlight="#000000" bordercolordark="#FFFFFF" valign="top"><p><img border="0" src="img/pic_info_min.gif" width="12" height="12" onMouseOut="hide_help('hi6')" onMouseOver="show_help('hi6')">

                * Цена:</p></td>

              <td width="70%" height="1"><p>

              <input type="text" value="<? echo trim($fch[1]) ?>" name="summ" size="24" style="font-family: Verdana, Arial; font-size: 8pt; border: 1px solid #9ACE8B; ">

                wmz, в качестве разделителя

                используйте &quot;.&quot;</p></td>

            </tr>

            <tr>

              <td width="30%" bgcolor="#9ACE8B" height="1" bordercolorlight="#000000" bordercolordark="#FFFFFF" valign="top"><p><img border="0" src="img/pic_info_min.gif" width="12" height="12" onMouseOut="hide_help('hi7')" onMouseOver="show_help('hi7')">

                Понижение

                цен:</p></td>

              <td width="70%" height="1"><p><input type="checkbox" name="c1" value="on" <? If (trim($fch[11]) == "on") { echo "checked"; } ?>>

                Понижать цену товара</p><p>каждый

                день на

              <input type="text" name="s1" size="6" value="<? echo trim($fch[12]) ?>" style="font-family: Verdana, Arial; font-size: 8pt; border: 1px solid #9ACE8B; ">,

                пока не станет равной

              <input type="text" name="s2" size="6" value="<? echo trim($fch[13]) ?>" style="font-family: Verdana, Arial; font-size: 8pt; border: 1px solid #9ACE8B; ">

                wmz</p></td>

            </tr>

            <tr>

              <td width="30%" bgcolor="#9ACE8B" height="1" bordercolorlight="#000000" bordercolordark="#FFFFFF" valign="top"><p><img border="0" src="img/pic_info_min.gif" width="12" height="12" onMouseOut="hide_help('hi8')" onMouseOver="show_help('hi8')">

                Комиссия

                агенту:</p></td>

              <td width="70%" height="1"><p>

              <input type="text" name="sagent" value="0" size="24" style="font-family: Verdana, Arial; font-size: 8pt; border: 1px solid #9ACE8B; " value="0">%,

                в качестве разделителя

                используйте &quot;.&quot;</p></td>

            </tr>

            <tr>

              <td width="30%" bgcolor="#9ACE8B" height="1" bordercolorlight="#000000" bordercolordark="#FFFFFF" valign="top"><p><img border="0" src="img/pic_info_min.gif" width="12" height="12" onMouseOut="hide_help('hi9')" onMouseOver="show_help('hi9')">

                * Описание

                товара:</p></td>

              <td width="70%" height="1"><p>

              <textarea rows="5" name="tovinfo" cols="70" style="font-family: Verdana, Arial; font-size: 8pt; border: 1px solid #9ACE8B; "><? echo str_replace("<br>", "\n", trim($fch[7])) ?></textarea></p></td>

            </tr>

            <tr>

              <td width="30%" bgcolor="#9ACE8B" height="1" bordercolorlight="#000000" bordercolordark="#FFFFFF" valign="top"><p><img border="0" src="img/pic_info_min.gif" width="12" height="12" onMouseOut="hide_help('hi10')" onMouseOver="show_help('hi10')">

                Дополнительная

                информация:</p></td>

              <td width="70%" height="1"><p>

              <textarea rows="5" name="tovaddinfo" cols="70" style="font-family: Verdana, Arial; font-size: 8pt; border: 1px solid #9ACE8B; "><? echo str_replace("<br>", "\n", trim($fch[8])) ?></textarea></p></td>

            </tr>

            <tr>

              <td width="100%" height="1" bordercolorlight="#FFFFFF" bordercolordark="#FFFFFF" colspan="2" align="center">

              <p style="margin-top: 0; margin-bottom: 0">&nbsp;</p>

              <p style="margin-top: 0; margin-bottom: 0">

              <input type="button" onClick="frmpost();" name="B1" style="border:1px solid #9ACE8B; font-family: Verdana, Arial; font-size: 8pt; background-color:#F1FFED" value="Изменить">

              <input type="button" onClick="document.location.href='/my.php<? echo $idstr ?>&com=goods'" name="B2" style="border:1px solid #9ACE8B; font-family: Verdana, Arial; font-size: 8pt; background-color:#F1FFED" value="К списку товаров"></p></td>

            </tr>

          </table>





<DIV class=hi id=hi3>

<table cellSpacing=4 cellPadding=4 width="100%" border=0>

<tr><td>

<p align=justify><b>&quot;Раздел&quot;</b> – в этом пункте нужно выбрать тематический раздел, к которому принадлежит Ваш товар. Если Вы не смогли определить тематику раздела для Вашего товара, поместит его в раздел 'Временный раздел' и напишите администратору по внутренней почте о создании раздела для Вашего товара.</p>

</td>

</tr>

</table>

</DIV>



<DIV class=hi id=hi4>

<table cellSpacing=4 cellPadding=4 width="100%" border=0>

<tr><td>

<p align=justify><b>&quot;Название товара&quot;</b> – название Вашего товара. Оно должно говорить, что это за товар, но не должно быть слишком длинным. Подробное описание товара нужно дать в пункте 'Описание товара'.</p>

</td>

</tr>

</table>

</DIV>



<DIV class=hi id=hi5>

<table cellSpacing=4 cellPadding=4 width="100%" border=0>

<tr><td>

<p align=justify><b>&quot;URL товара&quot;</b> – домашняя страница Вашего товара, адрес описания Вашего товара, Ваш собственный www-адрес, в общем, все что угодно. Этот пункт необязателен для заполнения.</p>

</td>

</tr>

</table>

</DIV>



<DIV class=hi id=hi6>

<table cellSpacing=4 cellPadding=4 width="100%" border=0>

<tr><td>

<p align=justify><b>&quot;Цена&quot;</b> – цена Вашего товара в WMZ. Цена товара не может быть менее 0.02wmz.</p>

</td>

</tr>

</table>

</DIV>



<DIV class=hi id=hi7>

<table cellSpacing=4 cellPadding=4 width="100%" border=0>

<tr><td>

<p align=justify><b>&quot;Понижение цен&quot;</b> – это не обязательный пункт, но если Вы хотите, что бы цена Вашего товара ежедневно падала, пока не достигнет указанной Вами финальной цены, то воспользуйтесь этим разделом.</p>

</td>

</tr>

</table>

</DIV>





<DIV class=hi id=hi8>

<table cellSpacing=4 cellPadding=4 width="100%" border=0>

<tr><td>

<p align=justify><b>&quot;Комиссия агенту&quot;</b> – в этом пункте нужно указать процент комиссии в случае, если Ваш товар будет куплен через агента.</p>

</td>

</tr>

</table>

</DIV>



<DIV class=hi id=hi9>

<table cellSpacing=4 cellPadding=4 width="100%" border=0>

<tr><td>

<p align=justify><b>&quot;Описание товара&quot;</b> – здесь нужно сделать подробное описание Вашего товара, что бы покупателю было понятно, что он покупает.</p>

</td>

</tr>

</table>

</DIV>



<DIV class=hi id=hi10>

<table cellSpacing=4 cellPadding=4 width="100%" border=0>

<tr><td>

<p align=justify><b>&quot;Дополнительная информация&quot;</b> – необязательный раздел. В нем можно указать копирайт (авторское право) на свой товар, сделать рекламу других своих товаров и т.п.</p>

</td>

</tr>

</table>

</DIV>



     </form>

           </td>

        </tr>

      </table>

    </td>

  </tr>

</table>

<p>&nbsp;&nbsp;* - Обязательно для заполнения</p>

<p>&nbsp;&nbsp;<img border="0" src="img/pic_info_min.gif" width="12" height="12"> - При наведении курсора мыши на этот значок появляется подсказка.</p>

<p>&nbsp;</p>

<?

}

ElseIf ($com2 == "del") {

 If (trim($ft[11]) == "0") {

  echo "<script> alert('Вы блокированный пользователь! Вы не можете удалять товар.'); history.back(); </script>";

  exit;

 }



 $fch = file("goods/$tovid");



 If (trim($fch[0]) <> $cl) {

  echo "<script> alert('У Вас нет прав на этот товар!'); history.back(); </script>";

  exit;

 }



 unlink("goods/$tovid");



 $d3 = dir("files/");

 while($tme = $d3->read()) {

  If ($tme <> "." and $tme <> ".." and $tme <> ".htaccess") {

   $av = explode(".", $tme);

   If ($av[0] == $tovid) {

    unlink("files/$tme");

   }

  }

 }

 $d3->close();



  echo "<script> alert('Товар удален!'); </script>

        <script> document.location.href='/my.php" . $idstr . "&com=goods'; </script>";

  exit;

}

ElseIf ($com2 == "link") {////////////////////////////////////////////////////////////////////////////////////////////////////////////////

 $fch = @file("goods/$tovid");

 If (trim($fch[0]) <> $cl) {

  echo "<script> alert('У Вас нет прав на этот товар!'); history.back(); </script>";

  exit;

 }

 $name = trim($fch[3]);

 ?>

 <table border="0" width="98%" cellspacing="0" cellpadding="4" bgcolor="#C0C0C0" align="center">

  <tr>

    <td width="2%" valign="middle" bgcolor="#F0F0F0" height="1" style="border-left: 1 solid #C0C0C0; border-top: 1 solid #C0C0C0; border-bottom: 1 solid #C0C0C0"><p align="center"><img border="0" src="img/pic_info.gif" width="16" height="16"></p></td>

    <td width="98%" bgcolor="#F0F0F0" height="1" style="border-right: 1 solid #C0C0C0; border-top: 1 solid #C0C0C0; border-bottom: 1 solid #C0C0C0"><p>Вы можете разместить нижеприведенные ссылки, к примеру, у себя на сайте. При нажатии пользователем на эту ссылку, пользователь попадает на страницу информации Вашего товара, откуда он может совершить покупку Вашего товара.</p></td>

  </tr>

 </table>

 <p>&nbsp;</p>



<table border="1" width="98%" cellpadding="0" align="center" style="border-collapse: collapse" bordercolor="#9ace8b" cellspacing="1">

  <tr>

    <td width="100%" valign="top">

      <table border="0" width="100%" cellspacing="0" cellpadding="0">

        <tr>

           <td width="100%" bgcolor="#9ACE8B"><p><b>Ссылки Вашего товара № <? echo $tovid ?></b></p></td>

        </tr>

        <tr>

           <td width="100%" valign="top" bgcolor="#F1FFED">



     <p>

     <textarea rows="6" name="text1" cols="65" style="font-family: Verdana, Arial; font-size: 8pt; border: 1px solid #9ACE8B; "><? echo "<a href='http://$serv_const_servname/buy.php?tovid=$tovid'>Купить <b>$name</b> online!</a>"; ?></textarea></p>

     <p>Выглядит это так: <? echo "<a href='http://$serv_const_servname/buy.php?tovid=$tovid'>Купить <b>$name</b> online!</a>" ?></p>

     <p>&nbsp;</p>

     <p>

     <textarea rows="6" name="text1" cols="65" style="font-family: Verdana, Arial; font-size: 8pt; border: 1px solid #9ACE8B; "><? echo "<a href='http://$serv_const_servname/buy.php?tovid=$tovid'><img border='0' src='/banners/buy88x31.gif' alt='Покупка товара [$name] online!' width='88' height='31'></a>"; ?></textarea></p>

     <p>Выглядит это так: <? echo "<a href='http://$serv_const_servname/buy.php?tovid=$tovid'><img border='0' src='/banners/buy88x31.gif' alt='Покупка товара [$name] online!' width='88' height='31'></a>"; ?></p>

           </td>

        </tr>

      </table>

    </td>

  </tr>

</table>

<p>&nbsp;&nbsp;<input type="button" onClick="document.location.href='/my.php<? echo $idstr ?>&com=goods';" name="kspiskutovarov" style="border:1px solid #9ACE8B; font-family: Verdana, Arial; font-size: 8pt; background-color:#F1FFED" value="К списку товаров"></p>



 <?

}

ElseIf ($com2 == "recommend") {

 $fg = @file("goods/$tovid");

 If (trim($fg[0]) <> $cl) {

  echo "<script> alert('У Вас нет прав на этот товар!'); history.back(); </script>";

  exit;

 }



 If ($send == "ok") {

  $ar[1] = $cb1; $ar[2] = $cb2; $ar[3] = $cb3; $ar[4] = $cb4; $ar[5] = $cb5; $ar[6] = $cb6; $ar[7] = $cb7; $ar[8] = $cb8; $ar[9] = $cb9; $ar[10] = $cb10;

  $ar2[1] = $h1; $ar2[2] = $h2; $ar2[3] = $h3; $ar2[4] = $h4; $ar2[5] = $h5; $ar2[6] = $h6; $ar2[7] = $h7; $ar2[8] = $h8; $ar2[9] = $h9; $ar2[10] = $h10;



  $summ = ceil($summ*100)/100;

  If ($summ >= 0.02) {

   for ($e = 1; $e <= 10; $e++) {

    If ($ar[$e] == "on") {

     $ast = explode(".", $ar2[$e]);



     $smsg = serv_send_money($summ, $cl, $cp, "Размещение товара №$tovid в рекомендуемые товары на " . date("d.m.Y", mktime(0, 0, 0, 1, 1+$ast[0], $ast[1])) . ".");

     If ($smsg == "true") {

      $fre = fopen("tx/time.txt", "a");

      fwrite($fre, "reccomend^$summ^$ast[0]^$ast[1]^$tovid\n");

      fclose($fre);

     }

     Else {

      echo "<script> alert('Ошибка!!!\\n$smsg'); document.location.href='/my.php$idstr';</script>";

     }

    }

   }



  }

  Else {

   echo "<script> alert('Минимальная ставка равна 0.02'); history.back(); </script>";

   exit;

  }

 }

?>



<SCRIPT language="javascript">

function  chksumm(summa){

	var LenValue = summa.toString().length;

	if(LenValue == 0) return false;

	var LastSimvol;

	for(i=0; i<LenValue; i++){

		LastSimvol = summa.toString().substring(i, i+1);

		if(LastSimvol != '1' && LastSimvol != '2' && LastSimvol != '3' && LastSimvol != '4' && LastSimvol != '5'

		&& LastSimvol != '6' && LastSimvol != '7' && LastSimvol != '8' && LastSimvol != '9' && LastSimvol != '0'

		&& LastSimvol != '.'){

			return false;

		}

		if((LastSimvol == '.' ) && i==0){

			return false;

		}

	}

	return true;

}



function frmpost(){

	if(document.all){



		if(frm.summ.value < 0.02){

			alert("Пожалуйста корректно заполните поле 'Ваша ставка'! Ставка должна превышать или быть равной 0.02");

			return;

		}

		if(!chksumm(frm.summ.value)){

			alert('Правильно укажите ставку!');

			return;

		}





		if(confirm('Вы уверены?')){

			frm.submit();

		}

	}



}



</SCRIPT>



<table border="0" width="98%" cellspacing="0" cellpadding="4" bgcolor="#C0C0C0" align="center">

  <tr>

    <td width="2%" valign="middle" bgcolor="#F0F0F0" height="1" style="border-left: 1 solid #C0C0C0; border-top: 1 solid #C0C0C0; border-bottom: 1 solid #C0C0C0"><p align="center"><img border="0" src="img/pic_info.gif" width="16" height="16"></p></td>

    <td width="98%" bgcolor="#F0F0F0" height="1" style="border-right: 1 solid #C0C0C0; border-top: 1 solid #C0C0C0; border-bottom: 1 solid #C0C0C0"><p>'Ваша ставка' – минимальная сумма 0.02. Чем больше будет Ваша ставка, тем выше в списке рекомендуемых товаров будет стоять Ваш товар. Для просмотра уже поставленных ставок, нажмите на кнопку 'стат.' под интересующей датой.</p></td>

  </tr>

</table>

<p>&nbsp;</p>



<table border="0" width="98%" cellspacing="0" cellpadding="4" bgcolor="#C0C0C0" align="center">

  <tr>

    <td width="2%" valign="middle" bgcolor="#F0F0F0" height="1" style="border-left: 1 solid #FF0000; border-top: 1 solid #FF0000; border-bottom: 1 solid #FF0000"><p align="center"><img border="0" src="/pic_infor.gif" width="16" height="16"></p></td>

    <td width="98%" bgcolor="#F0F0F0" height="1" style="border-right: 1 solid #FF0000; border-top: 1 solid #FF0000; border-bottom: 1 solid #FF0000"><p>В случае если Ваш товар будет заблокирован, сумма, уплаченная за размещение в рекомендуемых товарах не возвращается.</p></td>

  </tr>

</table>

<p>&nbsp;</p>



<table border="1" width="98%" cellpadding="0" align="center" style="border-collapse: collapse" bordercolor="#9ace8b" cellspacing="1">

  <tr>

    <td width="100%" valign="top">

      <table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="#F1FFED" style="border-collapse: collapse" bordercolor="#111111">

        <tr>

           <td width="100%" bgcolor="#9ACE8B"><p><b>Добавление товара №<? echo $tovid ?> в рекомендуемые товары</b></p></td>

        </tr>

        <tr>

           <td width="100%" valign="top">

<p>Выберите товар: <select size='1' name='tov' onChange="document.location.href='/my.php<? echo $idstr ?>&com=goods&com2=recommend&tovid='+this.options[this.selectedIndex].value;" style="font-family: Verdana, Arial; font-size: 8pt; border: 1 solid #7F9DB9">

  <?

  If ($lst == "") {

   $lst = 1;

  }



  $d3 = dir("goods/");

  while($tme = $d3->

  read()) {

   If ($tme <> "." and $tme <> ".." and $tme <> ".htaccess") {

    $fu = file("goods/$tme");

    If (trim($fu[0]) == $cl) {

     $tname = trim($fu[3]);

     If ($tovid == $tme) {

      $sel = "selected";

     }

     Else {

      $sel = "";

     }

     echo "<option value='$tme' $sel>№$tme&nbsp;&nbsp;&nbsp;&nbsp;$tname</option>

















  ";

    }

   }

  }

  $d3->close();

  ?>

</select></p>



<form method="POST" action="" name="frm">

<input type="hidden" name="send" value="ok">

<input type="hidden" name="tovid" value="<? echo $tovid ?>">

<input type="hidden" name="lst" value="<? echo $lst ?>">

<table border="0" width="100%" cellspacing="0" cellpadding="0" align="center">

  <tr>

    <td width="50%"><p align="left">

    <input type="button" onClick="document.location.href='/my.php<? echo $idstr ?>&com=goods&com2=recommend&lst=<? echo $lst-1 ?>&tovid=<? echo $tovid ?>';" name="back" style="border:1px solid #9ACE8B; font-family: Verdana, Arial; font-size: 8pt; background-color:#F1FFED" value="&lt;&lt; Предыдущие даты" <? If ($lst <= 1) { echo "disabled"; }?>></p></td>

    <td width="50%"><p align="right">

    <input type="button" onClick="document.location.href='/my.php<? echo $idstr ?>&com=goods&com2=recommend&lst=<? echo $lst+1 ?>&tovid=<? echo $tovid ?>';" name="next" style="border:1px solid #9ACE8B; font-family: Verdana, Arial; font-size: 8pt; background-color:#F1FFED" value="Следующие даты &gt;&gt;"></p></td>

  </tr>

</table>

<table border="1" width="99%" cellspacing="0" cellpadding="0" bordercolorlight="#0000FF" bordercolordark="#FFFFFF" align="center">

  <tr>

<?

 $lfrom = (integer) $lst * 10 - 10+1;

 $lto = (integer) $lst * 10;



 $tc = 1;

 for ($i = $lfrom; $i <= $lto; $i++) {

  $hday = date("z")+$i;

  $hyear = date("Y");

  echo "<td width='10%' bgcolor='#C4CAFF'><p align='center'>" .  date("d.m.Y", mktime(0, 0, 0, 1, 1+$hday, $hyear)) . "</p></td>

        <input type='hidden' name='h$tc' value='$hday.$hyear'>";

  $tc++;

 }

?>

  </tr>

  <tr>

<?

 $ftime = @file("tx/time.txt");



 $tc = 1;

 for ($i = $lfrom; $i <= $lto; $i++) {

  $dday = date("z")+$i;

  $dyear = date("Y");



  for ($m = 0; $m <= count($ftime); $m++) {

   $artime = explode("^", trim($ftime[$m]));

   If ($artime[0] == "reccomend" and $artime[2] == $dday and $artime[3] == $dyear and $artime[4] == $tovid) {

    $strcb = "<input type='checkbox' name='cb$tc' value='alreadyon' checked disabled>";

    $youpay = "<p>Ставка: $artime[1]</p>";

    break;}

   Else {

    $strcb = "<input type='checkbox' name='cb$tc' value='on'>";

    $youpay = "";}

  }



  echo "<td width='10%' valign='top'><p align='center'>$strcb</p><p align='center'><input type='button' onClick=\"document.location.href='/my.php$idstr&com=goods&com2=stat&day=$dday&year=$dyear';\" name='B1' style='font-family: Verdana, Arial; font-size: 8pt' value='стат.'></p>$youpay</td>";

  $tc++;

 }

?>

  </tr>

</table>

<p>Ваша ставка:

<input type="text" name="summ" value="0.02" size="24" style="font-family: Verdana, Arial; font-size: 8pt; border: 1px solid #9ACE8B; "></p>

<p>

<input type="button" onClick="frmpost();" name="B1" style="border:1px solid #9ACE8B; font-family: Verdana, Arial; font-size: 8pt; background-color:#F1FFED" value="Оплатить"></p>

</form>





           </td>

        </tr>

      </table>

    </td>

  </tr>

</table>

<p>&nbsp;&nbsp;<input type="button" onClick="document.location.href='/my.php<? echo $idstr ?>&com=goods';" name="kspiskutovarov" style="border:1px solid #9ACE8B; font-family: Verdana, Arial; font-size: 8pt; background-color:#F1FFED" value="К списку товаров"></p>



<?

}

ElseIf ($com2 == "stat") {

?>

<table border="0" width="98%" cellspacing="0" cellpadding="4" bgcolor="#C0C0C0" align="center">

  <tr>

    <td width="2%" valign="middle" bgcolor="#F0F0F0" height="1" style="border-left: 1 solid #C0C0C0; border-top: 1 solid #C0C0C0; border-bottom: 1 solid #C0C0C0"><p align="center"><img border="0" src="img/pic_info.gif" width="16" height="16"></p></td>

    <td width="98%" bgcolor="#F0F0F0" height="1" style="border-right: 1 solid #C0C0C0; border-top: 1 solid #C0C0C0; border-bottom: 1 solid #C0C0C0"><p>Ниже в списке Вы увидите уже сделанные ставки. Таблица отсортирована по размеру ставки. Что бы Ваш товар стоял Выше других, сделайте ставку на 0.01 больше, чем у продавца, расположенного выше всех в списке.</p></td>

  </tr>

</table>

<p>&nbsp;</p>



<table border="1" width="98%" cellpadding="0" align="center" style="border-collapse: collapse" bordercolor="#9ace8b" cellspacing="1">

  <tr>

    <td width="100%" valign="top">

      <table border="0" width="100%" cellspacing="0" cellpadding="0" bordercolor="#F1FFED" style="border-collapse: collapse">

        <tr>

           <td width="60%" bgcolor="#9ACE8B"><p>название товара</p></td>

           <td width="30%" bgcolor="#9ACE8B"><p>продавец</p></td>

           <td width="10%" bgcolor="#9ACE8B"><p><b>ставка</b></p></td>

        </tr>

<?

$ftime = @file("tx/time.txt");



for ($k = 0; $k < count($ftime); $k++){

 $ar = explode("^", trim($ftime[$k]));

 $srt = $ar[1];

 If ($ar[0] == "reccomend" and $ar[2] == $day and $ar[3] == $year) {

  $srtar[] = array(0 => $srt, 1 => $ftime[$k]);

 }

}

If ($srtar <> null) {

 rsort($srtar);

 for ($y = 0; $y < count($srtar); $y++) {

  $ftime2[$y] = $srtar[$y][1];

 }



 for ($o = 0; $o < count($ftime2); $o++) {

  $ar = explode("^", trim($ftime2[$o]));

  $fg = @file("goods/$ar[4]");

  $fu = @file("users/" . trim($fg[0]));



  If ($clr == "#F9FBFF") {

   $clr = "#EAEDFF";

  }

  Else {

   $clr = "#F9FBFF";

  }



  echo "

        <tr>

           <td width='60%' bgcolor='$clr'><p>" . trim($fg[3]) . "</p></td>

           <td width='30%' bgcolor='$clr'><p>" . trim($fu[1]) . " (" . trim($fg[0]) . ")</p></td>

           <td width='10%' bgcolor='$clr'><p>$ar[1]</p></td>

        </tr>";

 }

}

Else {

 echo "

        <tr>

           <td width='60%' bgcolor='$clr'><p>Ставок на этот день пока нет!</p></td>

        </tr>";

}

?>

      </table>

    </td>

  </tr>

</table>

<p>&nbsp;&nbsp;<input type="button" onClick="history.back();" name="Back2" style="border:1px solid #9ACE8B; font-family: Verdana, Arial; font-size: 8pt; background-color:#F1FFED" value="Возврат"></p>

<?

}

ElseIf ($com2 == "view") {

 $fg = @file("goods/$tovid");

 If (trim($fg[0]) <> $cl) {

  echo "<script> alert('У Вас нет прав на этот товар!'); history.back(); </script>";

  exit;

 }



 If ($del <> "") {

  If (trim($fg[9]) == "0") {

   unlink("files/$tovid.$del");

   echo "<script> document.location.href='/my.php$idstr&com=goods&com2=view&tovid=$tovid'; alert('Удалено!'); </script>";

   exit;

  }

  Else {

   $arfn = explode("|", trim($fg[10]));

   $fg[10] = str_replace($arfn[$pos] . "|", "", $fg[10]);



   $ff = fopen("goods/$tovid", "w");

   for ($r = 0; $r < count($fg); $r++){

    fwrite($ff, trim($fg[$r]) . "\n");

   }

   fclose($ff);



   unlink("files/$tovid.$del");

   echo "<script> document.location.href='/my.php$idstr&com=goods&com2=view&tovid=$tovid'; alert('Удалено!'); </script>";

   exit;

  }

 }

 ?>

 <table border="0" width="98%" cellspacing="0" cellpadding="4" bgcolor="#C0C0C0" align="center">

  <tr>

    <td width="2%" valign="middle" bgcolor="#F0F0F0" height="1" style="border-left: 1 solid #C0C0C0; border-top: 1 solid #C0C0C0; border-bottom: 1 solid #C0C0C0"><p align="center"><img border="0" src="img/pic_info.gif" width="16" height="16"></p></td>

    <td width="98%" bgcolor="#F0F0F0" height="1" style="border-right: 1 solid #C0C0C0; border-top: 1 solid #C0C0C0; border-bottom: 1 solid #C0C0C0"><p>В этом разделе Вы можете посмотреть продаваемую информацию Ваших товаров, и в случае чего удалить ее! В целях безопасности редактировать продаваемую информацию нельзя, но можно ее удалить и добавить новую. Что касается фалов, то скачивать их нельзя можно только просмотреть их размер, имя, дату закачки.</p></td>

  </tr>

 </table>

 <p>&nbsp;</p>



<SCRIPT language=javascript>



 function del(delid, pos) {

  if(confirm('Вы действительно хотите удалить этот товар?')){

   document.location.href='/my.php<? echo $idstr ?>&com=goods&com2=view&tovid=<? echo $tovid ?>&del=' + delid + '&pos=' + pos;

  }

 }



</SCRIPT>



<table border="1" width="98%" cellpadding="0" align="center" style="border-collapse: collapse" bordercolor="#9ace8b" cellspacing="1">

  <tr>

    <td width="100%" valign="top">

      <table border="0" width="100%" cellspacing="0" cellpadding="0">

        <tr>

           <td width="100%" bgcolor="#9ACE8B"><p><b>Просмотр закаченного товара №<? echo $tovid ?></b></p></td>

        </tr>

        <tr>

           <td width="100%" valign="top" bgcolor="#F1FFED">

<table border="0" width="100%" cellspacing="0" cellpadding="0">



<?



 $pos = 0;

 $pos2 = 0;

 $d = dir("files/");

 while($entry = $d->read()) {

  If ($entry <> "." and $entry <> ".." and $entry <> ".htaccess") {

   $av = explode(".", $entry);

   If ($av[0] == $tovid) {

    If (trim($fg[9]) == "0") {

     $ff = @file("files/$entry");

     for ($i = 0; $i < count($ff); $i++) {

      $ftext = $ff[$i];

     }

     $ftext = str_replace("<br>", "\n", $ftext);

     echo "

  <tr>

    <td width='20%' valign='top' style='border-bottom: 1px solid #9ACE8B; ; border-left-color:#9ACE8B; border-right-color:#9ACE8B; border-top-color:#9ACE8B' bgcolor='#F1FFED'><p><b>Добавлен: </b>" . date("d.m.Y", filemtime("files/$entry")) . "</p><p><b>Размер: </b>" . filesize("files/$entry") . " байт</p><p><a href='javascript:del($av[1], $pos2);'><img border='0' src='img/pic_delete.gif' width='16' height='16' alt='Удалить товар'></a></p></td>

    <td width='80%' valign='top' style='border-bottom: 1 solid #C0C0C0'><p><b>Продаваемая информация:</b></p><p>

    <textarea rows='5' name='msg$av[1]' cols='70' style='font-family: Verdana, Arial; font-size: 8pt; border: 1px solid #9ACE8B; '>$ftext</textarea></p></td>

  </tr>";

     $pos = $pos + 1;

    }

    Else {

     $ar = explode("|", trim($fg[10]));

     echo "

  <tr>

    <td width='100%' valign='top' style='border-bottom: 1px solid #9ACE8B; ; border-left-color:#9ACE8B; border-right-color:#9ACE8B; border-top-color:#9ACE8B'><p><b>Добавлен: </b>" . date("d.m.Y", filemtime("files/$entry")) . "</p><p><b>Размер: </b>" . filesize("files/$entry") . " байт</p><p><b>Название файла: </b>" . $ar[$pos2] . "</p><p><a href='javascript:del($av[1], $pos2);'><img border='0' src='img/pic_delete.gif' width='16' height='16' alt='Удалить товар'></a></p></td>

  </tr>";

     $pos2 = $pos2 + 1;

    }

   }

  }

 }

 $d->close();



 If ($pos <= 0) {

  echo "<tr><td colspan='2'><p>Товаров не найдено.</p></td></tr>";

 }



?>

</table>

           </td>

        </tr>

      </table>

    </td>

  </tr>

</table>

<p>&nbsp;&nbsp;<img border='0' src='img/pic_delete.gif' width='16' height='16'> - Знак, обозначающий удаление товара!</p>

<p>&nbsp;&nbsp;<input type="button" onClick="document.location.href='/my.php<? echo $idstr ?>&com=goods';" name="kspiskutovarov" style="border:1px solid #9ACE8B; font-family: Verdana, Arial; font-size: 8pt; background-color:#F1FFED" value="К списку товаров"></p>

 <?

}

Else {

?>

<SCRIPT language=javascript>



 function del(tovid) {

  if(confirm('Вы действительно хотите удалить этот товар?')){

   document.location.href='/my.php<? echo $idstr ?>&com=goods&com2=del&tovid=' + tovid;

  }

 }



</SCRIPT>



<table border="0" width="98%" cellspacing="0" cellpadding="4" bgcolor="#C0C0C0" align="center">

  <tr>

    <td width="2%" valign="middle" bgcolor="#F0F0F0" height="1" style="border-left: 1 solid #C0C0C0; border-top: 1 solid #C0C0C0; border-bottom: 1 solid #C0C0C0"><p align="center"><img border="0" src="img/pic_info.gif" width="16" height="16"></p></td>

    <td width="98%" bgcolor="#F0F0F0" height="1" style="border-right: 1 solid #C0C0C0; border-top: 1 solid #C0C0C0; border-bottom: 1 solid #C0C0C0"><p>В этом разделе Вы можете изменять, добавлять и удалять свои товары.</p></td>

  </tr>

</table>

<p>&nbsp;</p>



<table border="1" width="98%" cellpadding="0" align="center" style="border-collapse: collapse" bordercolor="#9ace8b" cellspacing="1">

  <tr>

    <td width="100%" valign="top">

      <table border="0" width="100%" cellspacing="0" cellpadding="0" bordercolor="#F1FFED" style="border-collapse: collapse">

          <tr>

            <td width="8%" bgcolor="#9ACE8B"><p><b>номер</b></p></td>

            <td width="50%" bgcolor="#9ACE8B"><p>название товара</p></td>

            <td width="8%" bgcolor="#9ACE8B"><p>цена</p></td>

            <td width="8%" bgcolor="#9ACE8B"><p>агентские</p></td>

            <td width="8%" bgcolor="#9ACE8B"><p>в&nbsp;наличии</p></td>

            <td width="8%" bgcolor="#9ACE8B"><p>продано</p></td>

            <td width="10%" bgcolor="#9ACE8B"><p>действия</p></td>

          </tr>

<?

 $none = true;



 $d = dir("goods/");

 while($entry = $d->read()) {

  If ($entry <> "." and $entry <> ".." and $entry <> ".htaccess") {

   $fp = file("goods/$entry");

   If (trim($fp[0]) == $cl) {



    price_min($entry);

    $fp = file("goods/$entry");



    $d2 = dir("files/");

    $fnum = 0;

    while($ent = $d2->read()) {

     If ($ent <> "." and $ent <> ".." and $ent <> ".htaccess") {

      $av = explode(".", $ent);

      If ($av[0] == $entry) {

       If ((integer) $av[1] >= $fnum) {

        $fnum = (integer) $fnum+1;

       }

      }

     }

    }

    $d2->close();



    $fnum2 = $fnum;

    If (trim($fp[14]) == "0") {

     $fnum2 .= "&nbsp;уник.";

    }

    Else {

     $fnum2 .= "&nbsp;унив.";

    }



    If ($clr == "#F9FBFF") {

     $clr = "#EAEDFF";

    }

    Else {

     $clr = "#F9FBFF";

    }



    If ($fnum == 0) {

     $fntb = "<font color='#A2A2A2'>";

     $fnte = "</font>";

    }

    Else {

     $fntb = "";

     $fnte = "";

    }



    echo "

    <tr>

     <td width='8%' bgcolor='$clr'><p>$fntb$entry$fnte</p></td>

     <td width='50%' bgcolor='$clr'><p>$fntb" . trim($fp[3]) . "$fnte</p></td>

     <td width='8%' bgcolor='$clr'><p>$fntb" . trim($fp[1]) . "$fnte</p></td>

     <td width='8%' bgcolor='$clr'><p>$fntb" . trim($fp[6]) . " %$fnte</p></td>

     <td width='8%' bgcolor='$clr'><p>$fntb$fnum2$fnte</p></td>

     <td width='8%' bgcolor='$clr'><p>$fntb" . trim($fp[15]) . "$fnte</p></td>

     <td width='10%' bgcolor='$clr'><p><a href='/my.php$idstr&com=goods&com2=chinfo&tovid=$entry'><img border='0' src='img/pic_change.gif' width='16' height='16' alt='Изменить информацию о товаре'></a>&nbsp;<a href='/my.php$idstr&com=new_goods&snum=$entry&step=3'><img border='0' src='img/pic_goodsadd.gif' width='16' height='16' alt='Пополнить товар'></a>&nbsp;<a href='/my.php$idstr&com=goods&com2=link&tovid=$entry'><img border='0' src='img/pic_hyperlink.gif' width='16' height='16' alt='Адрес этого товара'></a>&nbsp;<a href='/my.php$idstr&com=goods&com2=recommend&tovid=$entry'><img border='0' src='img/pic_recommended.gif' width='16' height='16' alt='Добавить товар в рекомендуемые товары'></a>&nbsp;<a href='/my.php$idstr&com=goods&com2=view&tovid=$entry'><img border='0' src='img/pic_view.gif' width='16' height='16' alt='Просмотр закаченного товара'></a>&nbsp;<a href='javascript:del($entry)'><img border='0' src='img/pic_delete.gif' width='16' height='16' alt='Удалить товар'></a></p></td>

    </tr>";

    $none = false;

   }

  }

 }

 $d->close();



 If ($none == true) {

  echo "<tr><td colspan='8'><p>У Вас нет ни одного товара!</p></td></tr>";

 }

?>

      </table>

    </td>

  </tr>

</table>



<p>&nbsp;&nbsp;<img border='0' src='img/pic_change.gif' width='16' height='16'> - При нажатии на этот значок, Вы переходите на страницу редактирования товара, где можете изменить его цену, название, агентские и т.д.</p>

<p>&nbsp;&nbsp;<img border='0' src='img/pic_goodsadd.gif' width='16' height='16'> - Этот значок обозначает пополнение товара. Эта функция применима только к уникальным товарам или к не закаченным товарам.</p>

<p>&nbsp;&nbsp;<img border='0' src='img/pic_hyperlink.gif' width='16' height='16'> - Вы хотите, чтобы товар продавался на Вашем сайте? Тогда смело нажимайте сюда! Здесь есть вся необходимая информация.</p>

<p>&nbsp;&nbsp;<img border='0' src='img/pic_delete.gif' width='16' height='16'> - Знак, обозначающий удаление товара!</p>

<p>&nbsp;&nbsp;<img border='0' src='img/pic_recommended.gif' width='16' height='16'> - Добавить товар в рекомендуемые товары на главной странице сервиса.</p>

<p>&nbsp;&nbsp;<img border='0' src='img/pic_view.gif' width='16' height='16'> - Просмотр закаченного товара.</p>

<p>&nbsp;&nbsp;<b>Унив.</b> - Универсальный товар.</p>

<p>&nbsp;&nbsp;<b>Уник.</b> - Уникальный товар.</p>

<p>&nbsp;&nbsp;<font color="#A2A2A2"><b>СЕРЫМ ЦВЕТОМ</b></font> - В случае если товар закончился или не закачен.</p>

<p>&nbsp;</p>

<?

}

?>